const browser = () => {
  var u = navigator.userAgent
  //   app = navigator.appVersion;
  return {
    trident: u.indexOf('Trident') > -1, //IE内核
    presto: u.indexOf('Presto') > -1, //opera内核
    webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
    gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
    mobile: !!u.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
    ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
    // ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
    android: u.indexOf('DAYAAPPA') > -1 || u.indexOf('Adr') > -1, //android终端
    iPhone: u.indexOf('DAYAAPPI') > -1, //是否为iPhone或者QQHD浏览器
    iPad: u.indexOf('iPad') > -1, //是否iPad
    webApp: u.indexOf('Safari') == -1, //是否web应该程序，没有头部与底部
    weixin: u.indexOf('MicroMessenger') > -1, //是否微信 （2015-01-22新增）
    qq: u.match(/\sQQ/i) == " qq" //是否QQ
  }
}

const calcMinute = (minute) => {
  if(minute <= 0) {
    return '0分钟'
  }
  let minutes = minute % 60 // 算出分钟
  let hours = 0 // 小时
  if(minute >= 60) {
    hours = (minute - minutes) / 60
  }
  let text = ''
  if(hours) {
    text = hours + '小时'
  }
  if(minutes) {
    text += minutes + '分钟'
  }
  return text
}

/**
 * 小于10的数变成 (0x)
 * @param {数值} num 
 */
const getSTD = (num) => {
  return Number(num) >= 10 ? num : '0' + num
}

/**
 * 获取格式化的年月日
 * @param {日期} time 
 * @param {不是IOS里使用（多用于接口参数）} noIos 
 */
const getYMD = (time, noIos) => {
  let tempDate = time || new Date()
  if(typeof(tempDate) == 'string') {
      tempDate = new Date(time.replace(/-/ig, '/'))
  }
  let t = noIos ? '-' : '/'
  let month = getSTD(tempDate.getMonth() + 1)
  let day = getSTD(tempDate.getDate())
  return tempDate.getFullYear() + t + month + t + day
}

export {
  browser,
  calcMinute,
  getSTD,
  getYMD
}